SFML 3.1.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Event::KeyReleased Struct Reference

Key released event subtype. More...

`#include <SFML/Window/Event.hpp>`

## Public Attributes

Keyboard::Key | code {}
| Code of the key that has been released.
Keyboard::Scancode | scancode {}
| Physical code of the key that has been released.
bool | alt {}
| Is the Alt key pressed?
bool | control {}
| Is the Control key pressed?
bool | shift {}
| Is the Shift key pressed?
bool | system {}
| Is the System key pressed?

## Detailed Description

Key released event subtype.

Definition at line 114 of file Event.hpp.

## Member Data Documentation

## ◆ alt

bool sf::Event::KeyReleased::alt {}

Is the Alt key pressed?

Definition at line 118 of file Event.hpp.

## ◆ code

Keyboard::Key sf::Event::KeyReleased::code {}

Code of the key that has been released.

Definition at line 116 of file Event.hpp.

## ◆ control

bool sf::Event::KeyReleased::control {}

Is the Control key pressed?

Definition at line 119 of file Event.hpp.

## ◆ scancode

Keyboard::Scancode sf::Event::KeyReleased::scancode {}

Physical code of the key that has been released.

Definition at line 117 of file Event.hpp.

## ◆ shift

bool sf::Event::KeyReleased::shift {}

Is the Shift key pressed?

Definition at line 120 of file Event.hpp.

## ◆ system

bool sf::Event::KeyReleased::system {}

Is the System key pressed?

Definition at line 121 of file Event.hpp.

The documentation for this struct was generated from the following file:

- Event.hpp